<form class="mb-3" #searchForm="ngForm">
  <div class="row justify-content-center align-items-center mt-3">
    <div class="col-md-9 d-flex flex-column">
      <input
        [(ngModel)]="model.search"
        name="search"
        type="text"
        id="title"
        class="form-control default-input-border"
        #searchInput
        minlength="5"
        required
        [placeholder]="placeholderText"
      >
      <span *ngIf="model.search"
            class="error-message">
          Search can't be empty
        </span>
      {{search}}
    </div>
    <div class="col-md-3 d-flex justify-content-end align-self-end">
      <app-button
        text="Search"
        class="default-button"
        [borderStyle]="borderStyle"
        [disabled]="!searchForm.form.valid"
        (click)="onSearch(searchInput.value)"
      >
      </app-button>
    </div>
  </div>
</form>
